<section class="page auth">
  <div class="container">
    <h1 class="page__title" *ngIf="hasAccount">Login</h1>
    <h1 class="page__title" *ngIf="!hasAccount">Registration</h1>
  </div>
  <div class="container">
    <div class="auth__content">
      <form class="form auth__form" #form="ngForm" (ngSubmit)="authenticate(form)">
        <label class="form__label">
          Your email:
          <input
            type="email"
            class="form__input"
            placeholder="Email"
            name="email"
            [(ngModel)]="email"
            required
          />
        </label>
        <label class="form__label">
          Your password:
          <input
            type="password"
            class="form__input"
            placeholder="Password"
            name="password"
            [(ngModel)]="password"
            required
          />
        </label>
        <button class="btn form__button" type="submit">
          <span *ngIf="hasAccount">Login</span>
          <span *ngIf="!hasAccount">Registration</span>
        </button>
        <div *ngIf="hasAccount" class="auth__question">
          <p class="auth__question-text">Do you need account? You can&nbsp;</p>
          <button
            class="auth__question-button"
            [class.active]="!hasAccount"
            (click)="setHasAccount(false)"
          >
            Registration
          </button>
        </div>
        <div *ngIf="!hasAccount" class="auth__question">
          <p class="auth__question-text">If you have account. You can&nbsp;</p>
          <button
            class="auth__question-button"
            [class.active]="!hasAccount"
            (click)="setHasAccount(true)"
          >
            login
          </button>
        </div>
      </form>
    </div>
  </div>
</section>
